### Signal

# GnomeAutoar Compressor::progress

#### Declaration

    void
    progress (
      AutoarCompressor* self,
      guint64 completed_size,
      guint completed_files,
      gpointer user_data
    )

#### Description [src]

This signal is used to report progress of creating archives. The value of `completed_size` and `completed_files` are the same as the `AutoarCompressor:completed_size` and `AutoarCompressor:completed_files` properties, respectively.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`completed_size`

  Type: `guint64`

  Bytes has been read from source files and directories.

`completed_files`

  Type: `guint`

  Number of files and directories has been read.